BLACKLISTCTL(8) | System Manager's Manual | BLACKLISTCTL(8)

# NAME

`blacklistctl` —
display and change the state of blacklistd

# SYNOPSIS

`blacklistctl` | `dump` [`-abdnrw`]

# DESCRIPTION

`blacklistctl` is a program used to display the state of blacklistd(8)

The following options are available:

`-a`
  Show all database entries, by default it shows only the embryonic ones.
`-b`
  Show only the blocked entries.
`-d`
  Increase debugging level.
`-n`
  Don't display a header.
`-r`
  Show the remaining blocked time instead of the last activity time.
`-w`
  Normally the width of addresses is good for IPv4, the `-w` flag, makes the display wide enough for IPv6 addresses.

# SEE ALSO

blacklistd(8)

# NOTES

Sometimes the reported number of failed attempts can exceed the number of attempts that blacklistd(8) is configured to block. This can happen either because the rule has been removed manually, or because there were more attempts in flight while the rule block was being added. This condition is normal; in that case blacklistd(8) will first attempt to remove the existing rule, and then it will re-add it to make sure that there is only one rule active.

# HISTORY

`blacklistctl` first appeared in NetBSD 7. FreeBSD support for `blacklistctl` was implemented in FreeBSD 11.

# AUTHORS

Christos Zoulas

June 7, 2016 | NetBSD 9.4